<?php
##############################################
##                                          ##
##          AZ GBookDB Vers. 1.0            ##
##                                          ##
##   Copyright (C) 2007 by Andreas Zimare   ##
##   E-Mail: andy@diewelle.biz              ##
##   Internet: http://www.diewelle.biz      ##
##                                          ##
##   Bitte seid so fair und lasst die       ##
##   Copyright-Vermerke in den Dateien      ##
##   stehen. Ich wre Euch dankbar :-)      ##
##                                          ##
##############################################

require("config.inc.php");

// Existiert das Installationsverzeichnis noch?
$dir = "install";
if(is_dir($dir)) {
	echo "<html>\n<head>\n";
	echo "<title>!!!!! Anwendung gestoppt !!!!!</title>\n</head>\n<body>\n";
	echo "<div align=\"center\" style=\"font-family: Verdana, Arial, Helvetica, sans-serif;color:#ff0000;font-weight:bold;font-size:14px;\">\n";
	echo "<br><br><br><br>\n!!!!! Bitte l&ouml;sche erst das Verzeichnis \"install\" auf Deinem Server !!!!!\n";
	echo "<br><br><a href=\"".basename(__FILE__)."\">Nochmal versuchen nach L&ouml;schvorgang</a></div>\n";
	echo "</body>\n</html>";
	exit;
}

if(!isset($_SESSION['IS_ADMIN']) || empty($_SESSION['IS_ADMIN']) || !isset($_SESSION['ADMIN_NAME']) || empty($_SESSION['ADMIN_NAME'])) {
	header("Location: login.php");
	die();
}

// Gibt es Eintraege, die frei geschalten werden muessen
$query = $db->query("SELECT * FROM ".$db->prefix."_entries WHERE entry_active = '0'");
$anzahl = $db->numRows($query);
unset($query);

if($anzahl > 0) {
	$anzahl1 = "<a href=\"free_entry.php\">".$lang['free_entries']." - ".$anzahl."</a> |";
}else{
	$anzahl1 = "";
}
// Ende - Gibt es Eintraege, die frei geschalten werden muessen

if(!isset($_POST['submit']) || empty($_POST['submit'])) {
	if($config['entry_activate'] == 1) {
	$activateChecked = " checked";
	}
	if($config['admin_info'] == 1) {
		$infoChecked = " checked";
	}
	
	// Templateverzeichnis auslesen
	$tplDir = GBOOK_DIR.DS."templates".DS;
	$dirObject = dir($tplDir);
	$tplArray = array();
	while($tpls = $dirObject->read()) {
		if($tpls != '.' && $tpls != '..') {
			array_push($tplArray, $tpls);
		}
	}
	$dirObject->close();
	for($i = 0; $i < count($tplArray); $i++) {
		if($tplArray[$i] == $config['template']) { $tplSelected = ' selected'; }
		$tplOptions .= '<option value="'.strtolower($tplArray[$i]).'"'.$tplSelected.'>'.ucfirst($tplArray[$i]).'</option>'."\n";
	}
	unset($tplDir);
	unset($dirObject);
	unset($tplArray);
	// Ende - Templateverzeichnis auslesen
	
	
	// Sprachenverzeichnis auslesen
	$lngDir = GBOOK_DIR.DS."lang".DS;
	$dirObject = dir($lngDir);
	$lngArray = array();
	while($lngs = $dirObject->read()) {
		if($lngs != '.' && $lngs != '..') {
			array_push($lngArray, $lngs);
		}
	}
	$dirObject->close();
	for($i = 0; $i < count($lngArray); $i++) {
		$lngArray[$i] = str_replace("lang.","", $lngArray[$i]);
		$lngArray[$i] = str_replace(".php","", $lngArray[$i]);
		if($lngArray[$i] == $config['lang']) {
			$lngSelected = " selected";
		}else{
			$lngSelected = "";
		}
		$lngArray[$i] = str_replace("_"," ", $lngArray[$i]);
		$lngOptions .= '<option value="'.strtolower($lngArray[$i]).'"'.$lngSelected.'>'.ucfirst($lngArray[$i]).'</option>'."\n";
	}
	unset($lngDir);
	unset($dirObject);
	unset($lngArray);
	// Ende - Sprachenverzeichnis auslesen
	
	
	
	$tpl->assign("site_title", $config['gb_title'].$lang['site_title_2']);
	$tpl->assign("lang_to_entries", $lang['to_entries']);
	$tpl->assign("lang_logout", $lang['logout']);
	$tpl->assign("message", $lang['options_of_gbook']);
	$tpl->assign("anzahl", $anzahl1);
	$tpl->assign("your_email", $lang['your_email']);
	$tpl->assign("email", $config['admin_email']);
	$tpl->assign("your_www", $lang['your_www']);
	$tpl->assign("www", $config['homepage']);
	$tpl->assign("your_title_gb", $lang['your_title_gb']);
	$tpl->assign("value_gbtitle", $config['gb_title']);
	$tpl->assign("lang_template", $lang['template']);
	$tpl->assign("option_value_templates", $tplOptions);
	$tpl->assign("lang_language", $lang['language']);
	$tpl->assign("option_value_languages", $lngOptions);
	$tpl->assign("whats_that", $lang['what_is_that']);
	$tpl->assign("lang_min_entry", $lang['min_entry']);
	$tpl->assign("min_entry", $config['min_entry']);
	$tpl->assign("lang_max_entry", $lang['max_entry']);
	$tpl->assign("max_entry", $config['max_entry']);
	$tpl->assign("lang_max_word", $lang['max_word']);
	$tpl->assign("max_wordlength", $config['max_wordlength']);
	$tpl->assign("lang_badwords", $lang['bad_words']);
	$tpl->assign("type_with_comma", $lang['type_with_comma']);
	$tpl->assign("value_badwords", $config['badwords']);
	$tpl->assign("lang_entries_per_page", $lang['entries_per_page']);
	$tpl->assign("per_page", $config['per_page']);
	$tpl->assign("lang_time_between_entries", $lang['time_between_entries']);
	$tpl->assign("lang_type_in_minutes", $lang['type_in_minutes']);
	$tpl->assign("value_temp_time", $config['temp_time']);
	$tpl->assign("lang_free_entries_yet", $lang['free_entries_yet']);
	$tpl->assign("lang_yes_free_entries_yet", $lang['yes_free_entries_yet']);
	$tpl->assign("lang_info_new_entry", $lang['info_new_entry']);
	$tpl->assign("activate_checked", $activateChecked);
	$tpl->assign("lang_yes_please_email", $lang['yes_please_email']);
	$tpl->assign("info_checked", $infoChecked);
	$tpl->assign("btn_save", $lang['save']);
	$tpl->assign("focus", "email");
	// Zweiter Teil der Laufzeit
	$end = getmicrotime();
	$laufzeit = number_format($end-$begin, 4, ",", ".");
	$tpl->assign("laufzeit", $laufzeit);
	$tpl->display("admin.tpl");
}else{
	if(isset($_POST['activate']) && !empty($_POST['activate'])) { $activate = 1; }else{ $activate = 0; }
	if(isset($_POST['info']) && !empty($_POST['info'])) { $info = 1; }else{ $info = 0; }
	$badWords = str_replace(" ","", $_POST['badwords']);
	$badWords = str_replace("\r\n","", $badWords);
	if(!$db->query("UPDATE ".$db->prefix."_config SET admin_email = '".$_POST['email']."', homepage = '".$_POST['www']."', gb_title = '".$_POST['gbTitle']."', min_entry = '".$_POST['min_entry']."', max_entry = '".$_POST['max_entry']."', per_page = '".$_POST['per_page']."', lang = '".$_POST['gbLanguage']."', template = '".$_POST['gbTemplate']."', temp_time = '".$_POST['temp_time']."', max_wordlength = '".$_POST['max_wordlength']."', badwords = '".$badWords."', entry_activate = '".$activate."', admin_info = '".$info."'")) {
		$tpl->assign("site_title", $config['gb_title']);
		$tpl->assign("notice", $lang['notice']);
		$tpl->assign("gb_title", $config['gb_title']);
		$tpl->assign("msgHead", $lang['mistake_at_actualize']);
		$tpl->assign("message", $lang['mistake_at_actualize_msg']);
		// Zweiter Teil der Laufzeit
		$end = getmicrotime();
		$laufzeit = number_format($end-$begin, 4, ",", ".");
		$tpl->assign("laufzeit", $laufzeit);
		header('Refresh: 3; url=admin.php');
		$tpl->display("hinweis.tpl");
	}else{
		$tpl->assign("site_title", $config['gb_title']);
		$tpl->assign("notice", $lang['notice']);
		$tpl->assign("gb_title", $config['gb_title']);
		$tpl->assign("msgHead", $lang['actualize_positive']);
		$tpl->assign("message", $lang['actualize_positive_msg']);
		// Zweiter Teil der Laufzeit
		$end = getmicrotime();
		$laufzeit = number_format($end-$begin, 4, ",", ".");
		$tpl->assign("laufzeit", $laufzeit);
		header('Refresh: 3; url=admin.php');
		$tpl->display("hinweis.tpl");
	}
}




?>