<?php
##############################################
##                                          ##
##          AZ GBookDB Vers. 1.0            ##
##                                          ##
##   Copyright (C) 2007 by Andreas Zimare   ##
##   E-Mail: andy@diewelle.biz              ##
##   Internet: http://www.diewelle.biz      ##
##                                          ##
##   Bitte seid so fair und lasst die       ##
##   Copyright-Vermerke in den Dateien      ##
##   stehen. Ich wre Euch dankbar :-)      ##
##                                          ##
##############################################

require("config.inc.php");
require("includes/replace.func.php");

if(!isset($_SESSION['IS_ADMIN']) || empty($_SESSION['IS_ADMIN']) || !isset($_SESSION['ADMIN_NAME']) || empty($_SESSION['ADMIN_NAME'])) {
	header("Location: login.php");
	die();
}
if(!isset($_GET['id']) || empty($_GET['id']) || !is_numeric($_GET['id'])) {
	header("Location: index.php");
	die();
}

// Den Eintrag aus der DB holen
$query = $db->query("SELECT * FROM ".$db->prefix."_entries WHERE entry_id = '".$_GET['id']."'");
$result = $db->fetchAssoc($query);

$eintrag = dereplace($result['entry_text']);

if(!isset($_POST['submit']) || empty($_POST['submit'])) {
	$tpl->assign("max_zeichen", $config['max_entry']);
	$tpl->assign("site_title", $config['gb_title']);
	$tpl->assign("edit_entry", $lang['edit_entry']);
	$tpl->assign("entry_from", $lang['entry_from']);
	$tpl->assign("name", $lang['name']);
	$tpl->assign("email", $lang['email']);
	$tpl->assign("homepage", $lang['homepage']);
	$tpl->assign("msn", $lang['msn']);
	$tpl->assign("yahoo", $lang['yahoo']);
	$tpl->assign("smilies", $lang['smilies']);
	$tpl->assign("click_only", $lang['click_only']);
	$tpl->assign("entry", $lang['entry']);
	$tpl->assign("text_bold", $lang['text_bold']);
	$tpl->assign("text_italic", $lang['text_italic']);
	$tpl->assign("text_underline", $lang['text_underline']);
	$tpl->assign("insert_link", $lang['insert_link']);
	$tpl->assign("insert_email", $lang['insert_email']);
	$tpl->assign("help_for_editor", $lang['help_for_editor']);
	$tpl->assign("cancel", $lang['cancel']);
	$tpl->assign("entry_actualize", $lang['actualize_entry']);
	$tpl->assign("date", $result['entry_date']);
	$tpl->assign("entry_id", $result['entry_id']);
	$tpl->assign("value_name", $result['entry_name']);
	$tpl->assign("value_email", $result['entry_email']);
	$tpl->assign("value_www", $result['entry_www']);
	$tpl->assign("value_msn", $result['entry_msn']);
	$tpl->assign("value_yim", $result['entry_yim']);
	$tpl->assign("value_icq", $result['entry_icq']);
	$tpl->assign("value_eintrag", $eintrag);
	// Zweiter Teil der Laufzeit
	$end = getmicrotime();
	$laufzeit = number_format($end-$begin, 4, ",", ".");
	$tpl->assign("laufzeit", $laufzeit);
	$tpl->display("edit_entry.tpl");
}else{
	$nameDB = strip_trim($_POST['name']);
	$emailDB = strip_trim($_POST['email']);
	$wwwDB = strip_trim($_POST['www']);
	if(!empty($result['entry_www'])) {
		if(!eregi("http://", $wwwDB)) {
			$wwwDB = "http://".$wwwDB;
		}
	}
	
	$msnDB = strip_trim($_POST['msn']);
	$yimDB = strip_trim($_POST['yim']);
	$icqDB = strip_trim($_POST['icq']);
	$eintragNew = strip_trim($_POST['eintrag']);
	// Nach Woertern suchen, die laenger sind als in der config angegeben
	$eintragNew = WordLength($eintragNew, $config['max_wordlength']);
	// Ende nach Woertern suchen, die laenger sind als in der config angegeben
	$eintragDB = replace($eintragNew);
	$entryActivate = $config['entry_activate'];
	// Nach Badwords suchen
	$badwords = explode(",", $config['badwords']);
	$eintragDB = BadwordFilter($eintragDB, $badwords);
	// Ende nach Badwords suchen
	if(!$db->query("UPDATE ".$db->prefix."_entries SET entry_name = '".$nameDB."', entry_email = '".$emailDB."', entry_www = '".$wwwDB."', entry_icq = '".$icqDB."', entry_yim = '".$yimDB."', entry_msn = '".$msnDB."', entry_text = '".$eintragDB."' WHERE entry_id = '".$_GET['id']."'")) {
		
		$tpl->assign("site_title", $config['gb_title']);
		$tpl->assign("notice", $lang['notice']);
		$tpl->assign("msgHead", $lang['edit_negative']);
		$tpl->assign("message", $lang['edit_negative_msg']);
		// Zweiter Teil der Laufzeit
		$end = getmicrotime();
		$laufzeit = number_format($end-$begin, 4, ",", ".");
		$tpl->assign("laufzeit", $laufzeit);
		header('Refresh: 3; url=index.php');
		$tpl->display("hinweis.tpl");
	}else{
		
		$tpl->assign("site_title", $config['gb_title']);
		$tpl->assign("notice", $lang['notice']);
		$tpl->assign("msgHead", $lang['edit_positive']);
		$tpl->assign("message", $lang['edit_positive_msg']);
		// Zweiter Teil der Laufzeit
		$end = getmicrotime();
		$laufzeit = number_format($end-$begin, 4, ",", ".");
		$tpl->assign("laufzeit", $laufzeit);
		header('Refresh: 3; url=index.php');
		$tpl->display("hinweis.tpl");
	}
}

?>