<?php
##############################################
##                                          ##
##          AZ GBookDB Vers. 1.0            ##
##                                          ##
##   Copyright (C) 2007 by Andreas Zimare   ##
##   E-Mail: andy@diewelle.biz              ##
##   Internet: http://www.diewelle.biz      ##
##                                          ##
##   Bitte seid so fair und lasst die       ##
##   Copyright-Vermerke in den Dateien      ##
##   stehen. Ich wre Euch dankbar :-)      ##
##                                          ##
##############################################

require("config.inc.php");
require("includes/replace.func.php");

// Eintraege aus der temp-Tabelle loeschen
$tempTime = $config['temp_time']*60;
$time = time()-$tempTime;
$db->query("DELETE FROM ".$db->prefix."_temp WHERE time < ".$time."");

// Nachsehen, ob der gleiche User nochmal nen Eintrag versucht
$query = $db->query("SELECT * FROM ".$db->prefix."_temp WHERE ip = '".$_SERVER['REMOTE_ADDR']."'");
$num = $db->numRows($query);
if($num > 0 && $_SERVER['REMOTE_ADDR'] != "127.0.0.1") {
	$tpl->assign("site_title", $config['gb_title']);
	$tpl->assign("notice", $lang['notice']);
	$tpl->assign("msgHead", $lang['allready_wrote_entry']);
	$tpl->assign("message", $lang['allready_wrote_entry_msg']);
	header("Refresh: 3; url = index.php");
	$tpl->display("hinweis.tpl");
	die();
}

if(isset($_POST['submit']) && !empty($_POST['submit'])){
	$name = strip_trim($_POST['name']);
	$email = strip_trim($_POST['email']);
	$www = strip_trim($_POST['www']);
	$msn = strip_trim($_POST['msn']);
	$yim = strip_trim($_POST['yim']);
	$icq = strip_trim($_POST['icq']);
	$eintrag = trim(strip_tags($_POST['eintrag']));
	$verify = strip_trim($_POST['verify']);
	
	
	if(!isset($name) || empty($name)) {
		$message = $lang['no_name'];
		$focus = "name";
	}
	// Kommentare bitte entfernen falls E-Mail zum Pflichtfeld werden soll
	/*
	elseif(!isset($email) || empty($email)) {
		$message = $lang['no_email'];
		$focus = "email";
	}elseif(!preg_match("/^([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.[a-zA-Z]{2,}))/si", $email)) {
		$message = $lang['no_correct_email'];
		$focus = "email";
	}
	*/
	elseif(!isset($eintrag) || empty($eintrag)) {
		$message = $lang['no_entry'];
		$focus = "eintrag";
	}elseif(strlen($eintrag) < $config['min_entry']) {
		$message = $lang['entry_to_short'];
		$focus = "eintrag";
	}elseif($_SESSION['spam'] != $verify) {
		$message = $lang['sec_code_not_correct'];
		$focus = "verify";
	}else{
	
	
	
	$ipDB = $_SERVER['REMOTE_ADDR'];
	$nameDB = strip_trim($name);
	$emailDB = strip_trim($email);
	$wwwDB = strip_trim($www);
	if($wwwDB != "") {
		if(!eregi("http://", $wwwDB)) {
			$wwwDB = "http://".$wwwDB;
		}
	}
	$msnDB = strip_trim($msn);
	$yimDB = strip_trim($yim);
	$icqDB = strip_trim($icq);
	$eintragNew = strip_trim($eintrag);
	// Nach Woertern suchen, die laenger sind als in der config angegeben
	$eintragNew = WordLength($eintragNew, $config['max_wordlength']);
	// Ende nach Woertern suchen, die laenger sind als in der config angegeben
	$eintragDB = replace($eintragNew);
	$entryActivate = $config['entry_activate'];
	// Nach Badwords suchen
	$badwords = explode(",", $config['badwords']);
	$eintragDB = BadwordFilter($eintragDB, $badwords);
	// Ende nach Badwords suchen
	
	
	if(!$db->query("INSERT INTO ".$db->prefix."_entries VALUES('0',NOW(),'".$ipDB."','".$nameDB."','".$emailDB."','".$wwwDB."','".$icqDB."','".$yimDB."','".$msnDB."','".$eintragDB."','','".$entryActivate."')")) {
		$tpl->assign("site_title", $config['gb_title']);
		$tpl->assign("notice", $lang['notice']);
		$tpl->assign("msgHead", $lang['entry_negative']);
		$tpl->assign("message", $lang['entry_negative_msg']);
		// Zweiter Teil der Laufzeit
		$end = getmicrotime();
		$laufzeit = number_format($end-$begin, 4, ",", ".");
		$tpl->assign("laufzeit", $laufzeit);
		//header('Refresh: 3; url=index.php');
		$tpl->display("hinweis.tpl");
		exit();
	}else{
		$db->query("INSERT INTO ".$db->prefix."_temp SET ip = '".$_SERVER['REMOTE_ADDR']."', time = '".time()."'");
		if($config['entry_activate'] == 0) {
			$tpl->assign("site_title", $config['gb_title']);
			$tpl->assign("notice", $lang['notice']);
			$tpl->assign("msgHead", $lang['entry_positive_with_control']);
			$tpl->assign("message", $lang['entry_positive_with_control_msg']);
			// Zweiter Teil der Laufzeit
			$end = getmicrotime();
			$laufzeit = number_format($end-$begin, 4, ",", ".");
			$tpl->assign("laufzeit", $laufzeit);
			//header('Refresh: 3; url=index.php');
			$tpl->display("hinweis.tpl");
			exit();
		}else{
			
			$tpl->assign("site_title", $config['gb_title']);
			$tpl->assign("notice", $lang['notice']);
			$tpl->assign("msgHead", $lang['entry_positive']);
			$tpl->assign("message", $lang['entry_positive_msg']);
			
			// Mail an den Betreiber des Gaestebuches - wenn erwuenscht
			if($config['admin_info'] == 1) {
				$to = $config['admin_email'];
				$from = "From: ".$config['admin_name']." <".$config['admin_email'].">\nReply-To: ".$config['admin_email']."\nContent-Type: text/plain";
				$subject = "Neuer Eintrag in Deinem Gstebuch";
				$text = "Hallo ".$config['admin_name']."\n\n";
				$text .= "In Deinem Gstebuch unter ".$config['homepage']." wurde soeben ein neuer Eintrag erstellt.\n";
				if($config['entry_activate'] == 0) {
				$text .= "Da Du in der Konfiguration angegeben hast, dass Eintrge erst frei geschalten werden mssen, ";
				$text .= "solltest Du den Eintrag kontrollieren und gegebenenfalls frei schalten.\n\n";
				}else{
					$text .= "Der Eintrag wurde in das Gstebuch eingetragen und ist sofort sichtbar.\n\n";
				}
				$text .= "Netten Gru von Deinem Gstebuch.";
				mail($to, $subject, $text, $from);
			}
			// Ende Mail an den Betreiber des Gaestebuches - wenn erwuenscht
			
			// Zweiter Teil der Laufzeit
			$end = getmicrotime();
			$laufzeit = number_format($end-$begin, 4, ",", ".");
			$tpl->assign("laufzeit", $laufzeit);
			header('Refresh: 3; url=index.php');
			$tpl->display("hinweis.tpl");
			exit();
		}
		
	}
	}
	
	
	$tpl->assign("site_title", $config['gb_title']);
	$tpl->assign("new_entry", $lang['new_entry']);
	$tpl->assign("max_wordlength", $config['max_wordlength']);
	$tpl->assign("focus", $focus);
	$tpl->assign("message", $message);
	$tpl->assign("action", $_SERVER['PHP_SELF']);
	$tpl->assign("max_zeichen", $config['max_entry']);
	$tpl->assign("your_name", $lang['name']);
	$tpl->assign("value_name", $name);
	$tpl->assign("email", $lang['email']);
	$tpl->assign("value_email", $email);
	$tpl->assign("homepage", $lang['homepage']);
	$tpl->assign("value_www", $www);
	$tpl->assign("msn", $lang['msn']);
	$tpl->assign("value_msn", $msn);
	$tpl->assign("yahoo", $lang['yahoo']);
	$tpl->assign("value_yim", $yim);
	$tpl->assign("value_icq", $icq);
	$tpl->assign("text_bold", $lang['text_bold']);
	$tpl->assign("text_italic", $lang['text_italic']);
	$tpl->assign("text_underline", $lang['text_underline']);
	$tpl->assign("insert_link", $lang['insert_link']);
	$tpl->assign("insert_email", $lang['insert_email']);
	$tpl->assign("help_for_editor", $lang['help_for_editor']);
	$tpl->assign("smilies", $lang['smilies']);
	$tpl->assign("click_only", $lang['click_only']);
	$tpl->assign("there_are", $lang['there_are']);
	$tpl->assign("chars", $lang['chars']);
	$tpl->assign("available", $lang['available']);
	$tpl->assign("sec_code", $lang['sec_code']);
	$tpl->assign("entry", $lang['entry']);
	$tpl->assign("value_eintrag", $eintrag);
	$tpl->assign("cancel", $lang['cancel']);
	$tpl->assign("send", $lang['send']);
	// Zweiter Teil der Laufzeit
	$end = getmicrotime();
	$laufzeit = number_format($end-$begin, 4, ",", ".");
	$tpl->assign("laufzeit", $laufzeit);
	$tpl->display("add_entry.tpl");
	exit();
	
	
}else{
	$tpl->assign("site_title", $config['gb_title']);
	$tpl->assign("new_entry", $lang['new_entry']);
	$tpl->assign("max_wordlength", $config['max_wordlength']);
	$tpl->assign("focus", "name");
	$tpl->assign("message", $lang['message']);
	$tpl->assign("action", $_SERVER['PHP_SELF']);
	$tpl->assign("max_zeichen", $config['max_entry']);
	$tpl->assign("your_name", $lang['name']);
	$tpl->assign("value_name", "");
	$tpl->assign("email", $lang['email']);
	$tpl->assign("value_email", "");
	$tpl->assign("homepage", $lang['homepage']);
	$tpl->assign("value_www", "");
	$tpl->assign("msn", $lang['msn']);
	$tpl->assign("value_msn", "");
	$tpl->assign("yahoo", $lang['yahoo']);
	$tpl->assign("value_yim", "");
	$tpl->assign("value_icq", "");
	$tpl->assign("text_bold", $lang['text_bold']);
	$tpl->assign("text_italic", $lang['text_italic']);
	$tpl->assign("text_underline", $lang['text_underline']);
	$tpl->assign("insert_link", $lang['insert_link']);
	$tpl->assign("insert_email", $lang['insert_email']);
	$tpl->assign("help_for_editor", $lang['help_for_editor']);
	$tpl->assign("smilies", $lang['smilies']);
	$tpl->assign("click_only", $lang['click_only']);
	$tpl->assign("there_are", $lang['there_are']);
	$tpl->assign("chars", $lang['chars']);
	$tpl->assign("available", $lang['available']);
	$tpl->assign("sec_code", $lang['sec_code']);
	$tpl->assign("entry", $lang['entry']);
	$tpl->assign("value_eintrag", "");
	$tpl->assign("cancel", $lang['cancel']);
	$tpl->assign("send", $lang['send']);
	// Zweiter Teil der Laufzeit
	$end = getmicrotime();
	$laufzeit = number_format($end-$begin, 4, ",", ".");
	$tpl->assign("laufzeit", $laufzeit);
	$tpl->display("add_entry.tpl");
}

?>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               