<?php
##############################################
##                                          ##
##          AZ GBookDB Vers. 1.0            ##
##                                          ##
##   Copyright (C) 2007 by Andreas Zimare   ##
##   E-Mail: andy@diewelle.biz              ##
##   Internet: http://www.diewelle.biz      ##
##                                          ##
##   Bitte seid so fair und lasst die       ##
##   Copyright-Vermerke in den Dateien      ##
##   stehen. Ich wre Euch dankbar :-)      ##
##                                          ##
##############################################

session_start();
// Laufzeiten ermitteln
function getmicrotime() {
	list($usec, $sec) = explode(" ", microtime());
	return ((float)$usec + (float)$sec);
}
$begin = getmicrotime();
define("GBOOK_DIR", dirname(__FILE__));
define("DS", DIRECTORY_SEPARATOR);

if(file_exists(GBOOK_DIR.DS."includes".DS."class.mysql.php")) {
	require_once(GBOOK_DIR.DS."includes".DS."class.mysql.php");
}else{
	// Not installed yet
	header("location:".GBOOK_DIR.DS."install".DS."index.php");
	exit();
}
if(file_exists(GBOOK_DIR.DS."libs".DS."Smarty.class.php")) {
	require_once(GBOOK_DIR.DS."libs".DS."Smarty.class.php");
}

// Datenbankklasse
$db = new db;
$conQuery = $db->query("SELECT * FROM ".$db->prefix."_config WHERE config_id = '1'");
$config = $db->fetchAssoc($conQuery);
unset($conQuery);

// Sprachenverzeichnis auslesen
$langDir = GBOOK_DIR.DS."lang".DS;
$dirObject = dir($langDir);
$langArray = array();
while($langs = $dirObject->read()) {
	if($langs != '.' && $langs != '..') {
		array_push($langArray, $langs);
	}
}
$dirObject->close();
$config['lang'] = str_replace(" ", "_", $config['lang']);
if(in_array('lang.'.$config['lang'].'.php', $langArray)) {
	require_once(GBOOK_DIR.DS."lang".DS.'lang.'.$config['lang'].'.php');
}else{
	header("location: no_language.php");
	exit();
}
unset($langDir);
unset($langs);
unset($dirObject);
unset($langArray);
// Ende - Sprachenverzeichnis auslesen

// Templateklasse
$tpl = new Smarty;
$tpl->template_dir = GBOOK_DIR.DS."templates".DS.$config['template'].DS."";
$tpl->compile_dir = GBOOK_DIR.DS."templates_c".DS."";

?>