<?php

function replace($text) {
	global $config;
	$text = str_replace("[B]","<b>",$text);
	$text = str_replace("[/B]","</b>",$text);
	$text = str_replace("[I]","<i>",$text);
	$text = str_replace("[/I]","</i>",$text);
	$text = str_replace("[U]","<u>",$text);
	$text = str_replace("[/U]","</u>",$text);
	$text = preg_replace("#\[URL=(http://)?(.*?)\](.*?)\[/URL\]#si", "<a href=\"http://\\2\" target=\"_blank\">\\3</a>", $text);
	$text = preg_replace("#\[EMAIL=(mailto:)?(.*?)\](.*?)\[/EMAIL\]#si", "<a href=\"mailto:\\2\">\\3</a>", $text);
	$text = preg_replace("#\[IMG\](.*?)\[/IMG\]#si", "<img src=\"\\1\" alt=\"Bild\" title=\"Bild\" border=\"0\">", $text);
	$text = str_replace(";-)","<img src=\"templates/".$config['template']."/img/smilies/wink.gif\" width=\"15\" height=\"15\" alt=\"Zwinker\" title=\"Zwinker\">",$text);
	$text = str_replace(";)","<img src=\"templates/".$config['template']."/img/smilies/wink.gif\" width=\"15\" height=\"15\" alt=\"Zwinker\" title=\"Zwinker\">",$text);
	$text = str_replace(":-)","<img src=\"templates/".$config['template']."/img/smilies/smile.gif\" width=\"15\" height=\"15\" alt=\"Immer sch&ouml;n l&auml;cheln\" title=\"Immer sch&ouml;n l&auml;cheln\">",$text);
	$text = str_replace("::)","<img src=\"templates/".$config['template']."/img/smilies/rolleyes.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace(":)","<img src=\"templates/".$config['template']."/img/smilies/smile.gif\" width=\"15\" height=\"15\" alt=\"Immer sch&ouml;n l&auml;cheln\" title=\"Immer sch&ouml;n l&auml;cheln\">",$text);
	$text = str_replace(":-D","<img src=\"templates/".$config['template']."/img/smilies/biggrin.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",$text);
	$text = str_replace(":D","<img src=\"templates/".$config['template']."/img/smilies/cheesygrin.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",$text);
	$text = str_replace(":-P","<img src=\"templates/".$config['template']."/img/smilies/razz.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",$text);
	$text = str_replace(":P","<img src=\"templates/".$config['template']."/img/smilies/razz.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",$text);
	$text = str_replace("(H)","<img src=\"templates/".$config['template']."/img/smilies/cool.gif\" width=\"15\" height=\"15\" alt=\"Cool\" title=\"Cool\">",$text);
	$text = str_replace(":|(","<img src=\"templates/".$config['template']."/img/smilies/cry.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace(":|","<img src=\"templates/".$config['template']."/img/smilies/neutral.gif\" width=\"15\" height=\"15\" alt=\"Neutral\" title=\"Neutral\">",$text);
	$text = str_replace(":-O","<img src=\"templates/".$config['template']."/img/smilies/surprised.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace(":S","<img src=\"templates/".$config['template']."/img/smilies/confused.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace("OO|","<img src=\"templates/".$config['template']."/img/smilies/eek.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace(";-(","<img src=\"templates/".$config['template']."/img/smilies/frown.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace(":-(","<img src=\"templates/".$config['template']."/img/smilies/sad.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace("::(","<img src=\"templates/".$config['template']."/img/smilies/mad.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace(":@","<img src=\"templates/".$config['template']."/img/smilies/evil.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",$text);
	$text = str_replace("", "&auml;", $text);
	$text = str_replace("", "&Auml;", $text);
	$text = str_replace("", "&ouml;", $text);
	$text = str_replace("", "&Ouml;", $text);
	$text = str_replace("", "&uuml;", $text);
	$text = str_replace("", "&Uuml;", $text);
	$text = str_replace("", "&szlig;", $text);
	
	return $text;
}

function dereplace($text) {
	global $config;
	$text = str_replace("<br>","",$text);
	$text = str_replace("<br>","",$text);
	$text = str_replace("<p class=\"quote\">","",$text);
	$text = str_replace("</p>","",$text);
	$text = str_replace("<b>","[B]",$text);
	$text = str_replace("</b>","[/B]",$text);
	$text = str_replace("<i>","[I]",$text);
	$text = str_replace("</i>","[/I]",$text);
	$text = str_replace("<u>","[U]",$text);
	$text = str_replace("</u>","[/U]",$text);
	$text = preg_replace("#<a href=\"([a-z]+?://)(.*?)\" target=\"_blank\">(.*?)</a>#s", "[URL=\\1\\2]\\3[/URL]", $text);
	$text = preg_replace("#<a href=\"([a-z]+?://)(.*?)\" target=\"_blank\">(.*?)</a>#s", "[url]\\3[/url]", $text);
	$text = preg_replace("#<a href=\"mailto:(.*?)\">(.*?)</a>#s", "[EMAIL=\\1]\\2[/EMAIL]", $text);
	$text = preg_replace("#<a href=\"mailto:(.*?)\">(.*?)</a>#s", "[EMAIL]\\1[/EMAIL]", $text);
	$text = preg_replace("#<img src=\"(.*?)\" alt=\"Bild\" title=\"Bild\" border=\"0\">#s", "[IMG]\\1[/IMG]", $text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/wink.gif\" width=\"15\" height=\"15\" alt=\"Zwinker\" title=\"Zwinker\">",";-)",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/wink.gif\" width=\"15\" height=\"15\" alt=\"Zwinker\" title=\"Zwinker\">",";)",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/smile.gif\" width=\"15\" height=\"15\" alt=\"Immer sch&ouml;n l&auml;cheln\" title=\"Immer sch&ouml;n l&auml;cheln\">",":-)",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/rolleyes.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">","::)",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/smile.gif\" width=\"15\" height=\"15\" alt=\"Immer sch&ouml;n l&auml;cheln\" title=\"Immer sch&ouml;n l&auml;cheln\">",":)",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/biggrin.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",":-D",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/cheesygrin.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",":D",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/razz.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",":-P",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/razz.gif\" width=\"15\" height=\"15\" alt=\"Breit grins\" title=\"Breit grins\">",":P",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/cool.gif\" width=\"15\" height=\"15\" alt=\"Cool\" title=\"Cool\">","(H)",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/cry.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",":|(",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/neutral.gif\" width=\"15\" height=\"15\" alt=\"Neutral\" title=\"Neutral\">",":|",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/surprised.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",":-O",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/confused.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",":S",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/eek.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">","OO|",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/frown.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",";-(",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/sad.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",":-(",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/mad.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">","::(",$text);
	$text = str_replace("<img src=\"templates/".$config['template']."/img/smilies/evil.gif\" width=\"15\" height=\"15\" alt=\"\" title=\"\">",":@",$text);
	
	return $text;
}

function strip_trim($string) {
	$text = trim($string);
	$text = strip_tags($text, "<hr>");
	$text = nl2br($text);
	$text = mysql_real_escape_string($text);
	
	return $text;
}

function BadwordFilter($text, $words) {
	foreach($words as $badword) {
		$text = str_replace($badword, str_repeat("*", strlen($badword)), $text);
	}
	return $text;
}

function WordLength($text, $length) {
	$textArray = explode(" ", $text);
	for($i = 0; $i < count($textArray); $i++) {
		if(strlen($textArray[$i]) > $length) {
			 $textArray[$i] = "*ZU_LANGES_WORT*";
		}
	}
	$text = implode(" ", $textArray);
	return $text;
}

?>