<?php
##############################################
##                                          ##
##          AZ GBookDB Vers. 1.0            ##
##                                          ##
##   Copyright (C) 2007 by Andreas Zimare   ##
##   E-Mail: andy@diewelle.biz              ##
##   Internet: http://www.diewelle.biz      ##
##                                          ##
##   Bitte seid so fair und lasst die       ##
##   Copyright-Vermerke in den Dateien      ##
##   stehen. Ich wre Euch dankbar :-)      ##
##                                          ##
##############################################

require_once("config.inc.php");

$tblAdmins = "CREATE TABLE IF NOT EXISTS `".$_GET['prefix']."_admins` (
  `admin_id` tinyint(1) unsigned NOT NULL auto_increment,
  `admin_name` varchar(50) NOT NULL default '',
  `admin_pass` varchar(50) NOT NULL default '',
  `admin_email` varchar(255) NOT NULL default '',
  `admin_www` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`admin_id`)
) TYPE=MyISAM ;";

$tblConfig = "CREATE TABLE IF NOT EXISTS `".$_GET['prefix']."_config` (
  `config_id` tinyint(1) unsigned NOT NULL auto_increment,
  `admin_email` varchar(255) NOT NULL default '',
  `homepage` varchar(255) NOT NULL default '',
  `gb_title` varchar(255) NULL,
  `min_entry` INT NOT NULL,
  `max_entry` int(11) NOT NULL default '0',
  `per_page` tinyint(4) NOT NULL default '0',
  `lang` varchar(50) NOT NULL default 'deutsch_du',
  `template` varchar(100) NOT NULL default 'standard',
  `temp_time` int(11) NOT NULL,
  `max_wordlength` tinyint(2) NOT NULL default '0',
  `badwords` text NOT NULL,
  `entry_activate` tinyint(1) NOT NULL,
  `admin_info` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`config_id`)
) TYPE=MyISAM ;";

$tblEntries = "CREATE TABLE IF NOT EXISTS `".$_GET['prefix']."_entries` (
  `entry_id` int(10) unsigned NOT NULL auto_increment,
  `entry_date` datetime NOT NULL,
  `entry_ip` varchar(15) NOT NULL default '',
  `entry_name` varchar(100) NOT NULL default '',
  `entry_email` varchar(255) NOT NULL default '',
  `entry_www` varchar(255) default NULL,
  `entry_icq` varchar(20) default NULL,
  `entry_yim` varchar(100) default NULL,
  `entry_msn` varchar(100) default NULL,
  `entry_text` text NOT NULL,
  `entry_comment` tinytext,
  `entry_active` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`entry_id`)
) TYPE=MyISAM ;";

$tblTemp = "CREATE TABLE IF NOT EXISTS `".$_GET['prefix']."_temp` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(11) NOT NULL,
  `time` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;";


if(!$db->query($tblAdmins)) {
	$msgTblAdmins = $lang['table_admin_negative'];
	$error = 1;
}elseif(!$db->query($tblConfig)) {
	$msgTblConfig = $lang['table_config_negative'];
	$error = 1;
}elseif(!$db->query($tblEntries)) {
	$msgTblEntries = $lang['table_entries_negative'];
	$error = 1;
}elseif(!$db->query($tblTemp)) {
	$msgTblTemp = $lang['table_temp_negative'];
	$error = 1;
}else{
	if($error == 1) {
		$tpl->assign("title_msg", $lang['title_message']);
		$tpl->assign("msgHead", $lang['mistake_tables']);
		$tpl->assign("message", $lang['mistakes_tables_msg']);
		// Zweiter Teil der Laufzeit
		$end = getmicrotime();
		$laufzeit = number_format($end-$begin, 4, ",", ".");
		$tpl->assign("laufzeit", $laufzeit);
		$tpl->display("hinweis.tpl");
	}else{
		$tpl->assign("title_msg", $lang['title_message']);
		$tpl->assign("msgHead", $lang['tables_positive']);
		$tpl->assign("message", $lang['tables_positive_msg']);
		// Zweiter Teil der Laufzeit
		$end = getmicrotime();
		$laufzeit = number_format($end-$begin, 4, ",", ".");
		$tpl->assign("laufzeit", $laufzeit);
		$tpl->display("hinweis.tpl");
	}
}


?>